[package]
name = "osbuild-cfg"
version = "0.1.0"
edition = "2021"
license = "MIT OR Apache-2.0"
readme = "README.md"
repository = "https://github.com/cgwalters/osbuild-cfg"


[dependencies]
anyhow = "1.0.86"
data-encoding = "2.5"
cap-std-ext = "4"
camino = { version = "1.1.7", features = ["serde1"] }
clap = { version= "4.5", features = ["derive","cargo"] }
toml = "0.8.13"
log = "0.4.21"
serde = { features = ["derive"], version = "1.0.202" }
tracing = "0.1"
tracing-subscriber = { version = "0.3", features = ["env-filter"] }
fn-error-context = "0.2.1"
rustix = { version = "0.38.34", features = ["process"] }
either = "1.10.0"

[dev-dependencies]
indoc = "2"
